Skip to content
Last updated

Canceling a car booking

The steps below explain how to cancel an existing car booking.

Note: Be sure to check the cancellation policy before canceling a booking. Cancellation deadlines and penalty amounts vary by vendor and rate type.

StepNameEndpointDetails
Get PNR (optional)GET /v3/trips/{tripId}/pnrs/{pnrId}Retrieve the car booking details before canceling. Use this endpoint to review the cancellation policy and any applicable penalties.

URL path requires: tripId and pnrId from step 4 of the creating a car booking workflow.

Response will contain: The car booking details, including the cancellation deadline and the penalty amount or percentage that may apply.

Note: Alternatively, you can use the get trip details endpoint to view the booking information.
Cancel a car bookingPOST /v2/car/pnrs/{pnrId}/cancel-pnrCancel an existing car booking and initiate a refund (if applicable, based on the cancellation policy).

URL path requires: pnrId from step 4 of the creating a car booking workflow.

Request body requires: pnrId. Optionally, provide customFieldUserResponses if the cancellation requires custom field responses, and waiveOffInfo if any cancellation fees are being waived off/removed.

Response will contain: confirmationId, which is the cancellation confirmation number issued by the vendor.